/// <reference types="react" />
import { PartialKeys } from '@devexperts/utils/dist/object/object';
import { ObjectClean } from 'typelevel-ts/lib';
import { ComponentClass } from 'react';
export declare const HIGHLIGHT: symbol;
export declare type TFullHighlightProps = {
    search: string;
    children: string;
    theme: {
        mark?: string;
        container?: string;
    };
};
export declare type THighlightProps = ObjectClean<PartialKeys<TFullHighlightProps, 'theme' | 'search' | 'children'>>;
export declare const Highlight: ComponentClass<THighlightProps>;
